
From: David Howells <dhowells@redhat.com>

The attached patch makes more syscalls available for the FR-V arch.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/frv/kernel/entry.S  |   13 ++++++++++++-
 25-akpm/include/asm-frv/unistd.h |   13 ++++++++++++-
 2 files changed, 24 insertions(+), 2 deletions(-)

diff -puN arch/frv/kernel/entry.S~make-more-syscalls-available-for-the-fr-v-arch arch/frv/kernel/entry.S
--- 25/arch/frv/kernel/entry.S~make-more-syscalls-available-for-the-fr-v-arch	Thu Dec  9 14:05:27 2004
+++ 25-akpm/arch/frv/kernel/entry.S	Thu Dec  9 14:05:27 2004
@@ -1389,7 +1389,7 @@ sys_call_table:
 	.long sys_epoll_ctl	/* 255 */
 	.long sys_epoll_wait
  	.long __MMU(sys_remap_file_pages)
- 	.long sys_ni_syscall	//sys_set_tid_address
+ 	.long sys_set_tid_address
  	.long sys_timer_create
  	.long sys_timer_settime		/* 260 */
  	.long sys_timer_gettime
@@ -1415,6 +1415,17 @@ sys_call_table:
 	.long sys_mq_notify
 	.long sys_mq_getsetattr
 	.long sys_ni_syscall		/* reserved for kexec */
+	.long sys_waitid
+	.long sys_ni_syscall		/* 285 */ /* available */
+	.long sys_add_key
+	.long sys_request_key
+	.long sys_keyctl
+	.long sys_perfctr_info
+	.long sys_vperfctr_open		/* 290 */
+	.long sys_vperfctr_control
+	.long sys_vperfctr_unlink
+	.long sys_vperfctr_iresume
+	.long sys_vperfctr_read
 
 
 syscall_table_size = (. - sys_call_table)
diff -puN include/asm-frv/unistd.h~make-more-syscalls-available-for-the-fr-v-arch include/asm-frv/unistd.h
--- 25/include/asm-frv/unistd.h~make-more-syscalls-available-for-the-fr-v-arch	Thu Dec  9 14:05:27 2004
+++ 25-akpm/include/asm-frv/unistd.h	Thu Dec  9 14:05:27 2004
@@ -290,8 +290,19 @@
 #define __NR_mq_notify		(__NR_mq_open+4)
 #define __NR_mq_getsetattr	(__NR_mq_open+5)
 #define __NR_sys_kexec_load	283
+#define __NR_waitid		284
+/* #define __NR_sys_setaltroot	285 */
+#define __NR_add_key		286
+#define __NR_request_key	287
+#define __NR_keyctl		288
+#define __NR_perfctr_info	289
+#define __NR_vperfctr_open	(__NR_perfctr_info+1)
+#define __NR_vperfctr_control	(__NR_perfctr_info+2)
+#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
+#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
+#define __NR_vperfctr_read	(__NR_perfctr_info+5)
 
-#define NR_syscalls 284
+#define NR_syscalls 295
 
 /*
  * process the return value of a syscall, consigning it to one of two possible fates
_
